{% extends 'base.html.twig' %}

{% block body %}
    <!-- ##### Welcome Area Start ##### -->

    <section class="shop_grid_area section-padding-80">
        <div class="container">

        <div class="row">

            <div class="col-12 col-md-4 col-lg-2">
                <div class="shop_sidebar_area">

                    <!-- ##### Single Widget ##### -->
                    <div class="widget catagory mb-50">
                        <!-- Widget Title -->
                        {#                            <h6 class="widget-title mb-30">Catagories</h6>#}
                        <br>
                        <!--  Catagories  -->
                        <div class="catagories-menu">
                            <ul id="menu-content2" class="menu-content collapse show">
                                <!-- Single Item -->

                                {% for typeRef in refType.fils %}
                                    <li data-target="#code_{{ typeRef.id }}"
                                            {% if loop.index != 1 %}  {% endif %} >

                                        <a href="{{ path('recherche',{'idTypeRef' :typeRef.id}) }}"> {{ typeRef.libelle }}</a>
                                        <ul class="sub-menu collapse show" id="code_{{ typeRef.id }}">
                                            {% for ref in typeRef.referentiels %}
                                                <li>
                                                    <a href="{{ path('recherche',{'idRef' :ref.id}) }}">{{ ref.libelle }}</a>
                                                </li>
                                            {% endfor %}
                                        </ul>
                                    </li>
                                {% endfor %}

                            </ul>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-12 col-md-8 col-lg-10">
                <section class="welcome_area bg-img background-overlay"
                         style="height: 393px; background-image: url({{ asset('/assets/img/couverture.png') }});">
                    {#<div class="container h-100">
                        <div class="row h-100 align-items-center">
                            <div class="col-12">
                                <div class="hero-content">
                                    <h6>asoss</h6>
                                    <h2>New Collection</h2>
                                    <a href="#" class="btn essence-btn">view collection</a>
                                </div>
                            </div>
                        </div>
                    </div>#}
                </section>
            </div>

        </div>
        </div>
    </section>



    <!-- ##### Welcome Area End ##### -->

    <!-- ##### Top Catagory Area Start ##### -->
    {#<div class="top_catagory_area section-padding-80 clearfix">
        <div class="container">
            <div class="row justify-content-center">
                <!-- Single Catagory -->
                <div class="col-12 col-sm-6 col-md-4">
                    <div class="single_catagory_area d-flex align-items-center justify-content-center bg-img" style="background-image: url({{ asset('/assets/img/bg-img/bg-2.jpg') }});">
                        <div class="catagory-content">
                            <a href="#">Clothing</a>
                        </div>
                    </div>
                </div>
                <!-- Single Catagory -->
                <div class="col-12 col-sm-6 col-md-4">
                    <div class="single_catagory_area d-flex align-items-center justify-content-center bg-img" style="background-image: url({{ asset('/assets/img/bg-img/bg-3.jpg') }});">
                        <div class="catagory-content">
                            <a href="#">Shoes</a>
                        </div>
                    </div>
                </div>
                <!-- Single Catagory -->
                <div class="col-12 col-sm-6 col-md-4">
                    <div class="single_catagory_area d-flex align-items-center justify-content-center bg-img" style="background-image: url({{ asset('/assets/img/bg-img/bg-4.jpg') }});">
                        <div class="catagory-content">
                            <a href="#">Accessories</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- ##### Top Catagory Area End ##### -->

    <!-- ##### CTA Area Start ##### -->
    <div class="cta-area">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="cta-content bg-img background-overlay" style="background-image: url({{ asset('/assets/img/bg-img/bg-5.jpg') }});">
                        <div class="h-100 d-flex align-items-center justify-content-end">
                            <div class="cta--text">
                                <h6>-60%</h6>
                                <h2>Global Sale</h2>
                                <a href="#" class="btn essence-btn">Buy Now</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>#}
    <!-- ##### CTA Area End ##### -->

    <!-- ##### New Arrivals Area Start ##### -->
    <section class="new_arrivals_area section-padding-80 clearfix">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div style="text-align: left !important;" class="section-heading text-center">
                        <h2>Produits populaires</h2>
                    </div>
                </div>
            </div>
        </div>




        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="popular-products-slides owl-carousel">

                        <!-- Single Product -->
                        {% for p in produitPopulaire %}

                            <div class="single-product-wrapper">
                                <!-- Product Image -->
                                <a href="{{ path('produitDetail',{'id' :p.id}) }}">

                                    <div class="product-img">
                                        {% if p.images[0] is defined %}

                                            <img src="{{ asset('/uploads/images/products/'~p.images[0].fileName)  | imagine_filter('small_image')  }}"
                                                 alt="">
                                        {% endif %}

                                        <!-- Hover Thumb -->
                                        {% if p.images[1] is defined %}
                                            <img class="hover-img"
                                                 src="{{ asset('/uploads/images/products/'~p.images[1].fileName) | imagine_filter('small_image')   }}"
                                                 alt="">
                                        {% endif %}
                                        <!-- Favourite -->
                                        {#                                <div class="product-favourite">#}
                                        {#                                    <a href="#" class="favme fa fa-heart"></a>#}
                                        {#                                </div>#}
                                    </div>
                                </a>
                                <!-- Product Description -->
                                <div class="product-description">
                                    <span>{{ p.libelle }}</span>
                                    <a href="{{ path('produitDetail',{'id' :p.id}) }}">
                                        <h6>{{ p.referentiels.libelle }}</h6>
                                    </a>
{#                                    <h6>{{ p.description }}</h6>#}

                                    {% if (p.solde != null and p.solde != 0) %}

                                        <p class="product-price" style="font-size: 20px;"><span
                                                    class="old-price">{{ p.prixHT }} TND</span> <span class="product-price"
                                                    style="color: #dc0345;text-decoration: none">{{ p.prixHT -((p.prixHT / 100)* p.solde) }} TND</span>
                                        </p>
                                    {% else %}
                                        <p class="product-price" style="font-size: 20px;"> {{ p.prixHT }}
                                            TND</p>
                                    {% endif %}
                                    <!-- Hover Content -->
                                    {#                                <div class="hover-content">#}
                                    {#                                    <!-- Add to Cart -->#}
                                    {#                                    <div class="add-to-cart-btn">#}
                                    {#                                        <a href="#" class="btn essence-btn">Add to Cart</a>#}
                                    {#                                    </div>#}
                                    {#                                </div>#}
                                </div>
                            </div>

                        {% endfor %}
                    </div>

                </div>
            </div>
        </div>
        </div>
    </section>

    {% for ref in refPopulaire %}
        <section class="new_arrivals_area section-padding-80 clearfix">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div style="text-align: left !important;" class="section-heading text-center">
                            <h2> {{ ref.referentielsType.libelle }} | {{ ref.libelle }}</h2>
                        </div>
                    </div>
                </div>
            </div>

            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="popular-products-slides owl-carousel">

                            <!-- Single Product -->
                            {% for prod in ref.produits %}

                                <div class="single-product-wrapper">
                                    <!-- Product Image -->
                                    <a href="{{ path('produitDetail',{'id' :prod.id}) }}">

                                        <div class="product-img">
                                            {% if prod.images[0] is defined %}

                                                <img src="{{ asset('/uploads/images/products/'~prod.images[0].fileName) | imagine_filter('small_image') }}"
                                                     alt="">
                                            {% endif %}

                                            <!-- Hover Thumb -->
                                            {% if prod.images[1] is defined %}
                                                <img class="hover-img"
                                                     src="{{ asset('/uploads/images/products/'~prod.images[1].fileName) | imagine_filter('small_image')}}"
                                                     alt="">
                                            {% endif %}
                                            <!-- Favourite -->
                                            {#                                    <div class="product-favourite">#}
                                            {#                                        <a href="#" class="favme fa fa-heart"></a>#}
                                            {#                                    </div>#}
                                        </div>
                                    </a>
                                    <!-- Product Description -->
                                    <div class="product-description">
                                        <span>{{ prod.libelle }}</span>
                                        <a href="{{ path('produitDetail',{'id' :prod.id}) }}">
                                            <h6>{{ prod.referentiels.libelle }}</h6>
                                        </a>
{#                                        <h6>{{ prod.description }}</h6>#}

                                        {% if (prod.solde != null and prod.solde != 0) %}
                                            <p class="product-price" style="font-size: 20px;"><span
                                                        class="old-price">{{ prod.prixHT }} TND</span> <span
                                                        style="color: #dc0345;text-decoration: none">{{ prod.prixHT -((prod.prixHT / 100)* prod.solde) }} TND</span>
                                            </p>
                                        {% else %}
                                            <p class="product-price" style="font-size: 20px;"> {{ prod.prixHT }}
                                                TND</p>
                                        {% endif %}
                                        <!-- Hover Content -->

                                    </div>
                                </div>

                            {% endfor %}
                        </div>

                    </div>
                </div>
            </div>
            </div>
        </section>
    {% endfor %}

    <!-- ##### New Arrivals Area End ##### -->

    <!-- ##### Brands Area Start ##### -->
    {#<div class="brands-area d-flex align-items-center justify-content-between">
        <!-- Brand Logo -->
        <div class="single-brands-logo">
            <img src="{{ asset('/assets/img/core-img/brand1.png') }}" alt="">
        </div>
        <!-- Brand Logo -->
        <div class="single-brands-logo">
            <img src="{{ asset('/assets/img/core-img/brand2.png') }}" alt="">
        </div>
        <!-- Brand Logo -->
        <div class="single-brands-logo">
            <img src="{{ asset('/assets/img/core-img/brand3.png') }}" alt="">
        </div>
        <!-- Brand Logo -->
        <div class="single-brands-logo">
            <img src="{{ asset('/assets/img/core-img/brand4.png') }}" alt="">
        </div>
        <!-- Brand Logo -->
        <div class="single-brands-logo">
            <img src="{{ asset('/assets/img/core-img/brand5.png') }}" alt="">
        </div>
        <!-- Brand Logo -->
        <div class="single-brands-logo">
            <img src="{{ asset('/assets/img/core-img/brand6.png') }}" alt="">
        </div>
    </div>#}

{% endblock %}
